Technorati Rank WordPress Plugin version 2 frigivet!

Hot i hælene på det første Technorati Rank Plugin, jeg har redesignet outputindholdet for at gøre det CSS drevet (nedenfor er et skærmbillede, du kan interagere med det i sidens sidebjælke):

Technorati Rank WordPress Plugin version 2

Denne var ganske lidt mere udfordrende at producere, men produktionen er meget pænere. For det første brugte jeg det, jeg har lært om Bittbox for at lave hver af outputknapperne på billedet i Illustrator.

Det næste trin var at bruge stilarter til faktisk at bygge nogen af ​​en billede kort bortset fra at der faktisk er intet kort! Det er faktisk ret sejt. Du kan indstille den overordnede div-baggrund og derefter oprette hver af 'hotspots' ved hjælp af absolut positionering og CSS. Se output CSS.

Jeg tilføjede også et link til Technoratis nye WTF side og webstedets RSS-adresse. Jeg håber du kan lide det! Jeg synes, det er en enorm forbedring fra den første version! Der er en i link nederst til højre, der også promoverer pluginet.

Nuværende Technorati Rank WordPress Plugin version 2.0.4

23 Kommentarer

  1. 1
    • 2
  2. 3

    Jeg forsøgte at installere det nyeste og bedste efter dine anvisninger til "bogstavet" 🙂

    men jeg fik følgende fejl

    Fatal fejl: Kan ikke instantere ikke-eksisterende klasse: simplexmlelement i /home/winex4/public_html/wp-content/plugins/technorati-rank/technorati-rank.php på linje 64

    nogen forslag?

    • 4
      • 5

        der vil lære mig at tjekke først .. tilsyneladende kører Lunarpages 4.4.4 af PHP

        Gæt jeg bliver nødt til at tjekke den anden version eller hænge hårdt og se om de opgraderer til 5.0

        • 6

          Jeg håber, de gør det! Men jeg håber også, at dine værter opgraderer. PHP5 bringer virkelig nogle meget bedre præstationsforbedringer samt nogle bedre værktøjer til forbrug af API'er. Jeg bruger Jumpline, du vil se et link på min sponsorliste på min startside. Jeg tror også, at Dotster har nogle gode VDS-hosting med de nyeste og bedste.

      • 7

        Doug,
        Jeg har det samme problem
        Jeg ringede til min vært, og de sagde, at min server har PHP 4 og PHP 5, men hvis jeg vil køre en fil ved hjælp af PHP 5, skal scriptet have filtypenavnet .php5.

        Så ... Jeg har ændret filtypen, og den forsvinder fra plugins i wordpress.

        Nogen ideer?

  3. 10

    Fantastisk plugin, fremragende styling! Tak Doug, og godt arbejde. Jeg vidste aldrig engang om den første, men dette foregår i min sidebar pronto.

    Det er virkelig givende at se, at mine Illustrator-tip hjalp dig med at lave dine knapper !!!!!

    tak igen,

    ~ BittBox

    • 11

      Tak, BittBox! Jeg tror, ​​jeg har et godt øje for stil, men jeg synes aldrig at få det rigtigt det meste af tiden. At kunne downloade dine prøver og dissekere dem er det, der gør forskellen. Jeg er i stand til faktisk at udføre disse ideer nu. 🙂

      Jeg leger med nogle tanker om min blogs overskrift og baggrund.

  4. 12

    Nå, Doug, det ser ud til, at version 2-pluginet hader mig. Jeg får fejlmeddelelser:

    Warning: fopen(/technorati-rank.html) [function.fopen]: failed to open stream: Permission denied in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 121
    Warning: fwrite(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 122
    Warning: fclose(): supplied argument is not a valid stream resource in /..../wp-content/plugins/technorati-rank/technorati-rank.php on line 123

    På trods af fejlmeddelelserne viser det også min Technorati-rang (~ 26.5k: D). Jeg er ikke vidende nok om PHP til at vide, hvorfor det græder over den ene fil.
    Interessant nok bruger vi SuPHP på vores server, så alt kører som os (så chmod-krav kræver ikke længere verdensskrivbare filer, og php-scripts vil ikke udføres, hvis f.eks. Chmod'ed er for højt).

    Al php for dette underdomæne kører som php5.

    Nogen ideer?

    • 13

      Har du et wp-indhold / cache-bibliotek Xial? Jeg troede, det ville være en god idé at bruge den samme cache-mappe som WP-Cache. Efterhånden var det måske ikke en god idé! Denne linje er bestemt at skrive til cache-filen.

      • 14

        Det gør jeg bestemt, Doug. Jeg har kørt WP-Cache i et stykke tid. 🙂

        Jeg var også lidt nysgerrig over, hvorfor det klagede over dette, da jeg har den nødvendige mappe, men jeg gætter på, at det er noget andet helt.

      • 15

        Interessant info at tilføje:

        $ pwd
        /..../wp-content/cache
        $ ls -l tech*
        -rw-r--r-- 1 meeeeeeee meeeeeeee 1.1K Mar 12 11:47 technorati-rank.html

        Det returnerer stadig fejlene.

    • 16

      Vil bare chime ind med at have den samme fejl. Webstedet kører php5, og knappen vises.
      Jeg forsøgte at kommentere linjerne 121-123, og stikket fungerer fint. Kan jeg sætte den i live, eller vil manglen på disse linjer skabe problemer på længere sigt?

  5. 17

    Jeg får de samme fejl som ovenfor, jeg troede også, det var min cache-dir, men jeg har en og sørgede også for, at skriverettighederne var korrekte.
    I sidelinjen vil det vise pluginet (med rang), men med disse fejl over det.

    • 18

      Hej Richard,

      Kan du kontrollere, om du har PHP version 5+, og at CURL er aktiveret? Du kan gøre dette ved at oprette en side på dit websted med <?php phpinfo(); ?> på en side. Åbn derefter den side. Øverst på siden har din version af PHP, og du kan søge på CURL for at sikre, at den er aktiveret.

      Tak!
      Doug

      • 19

        Nå, Doug, jeg dobbelttjekede min PHP-version.
        Jeg kører PHP5, og cURL er kompileret i (en af ​​mine sædvanlige tre anmodninger til min vært, om at ting skal kompileres til PHP).

        Alt andet fungerer fint, men jeg er ikke helt sikker på, hvorfor dette plugin kvæles, medmindre det er den version af cURL, der er samlet til PHP (vi er på 7.15.4, og den seneste ser ud til at være 7.16.1). Jeg vil dog ikke plage min vært for at kompilere php5 igen bare for det, hvis jeg kan hjælpe det. <: 3

        • 20

          Jeg vil se nærmere på denne weekend. Det kører uden problemer på nogle få websteder - så det er en af ​​tre ting: 3. Cache, 1. cURL eller 2. PHP-version.

          Jeg kan bruge ældre PHP 4-funktionalitet til at trække og analysere XML, men det kan bremse det ganske lidt - jeg skal teste denne weekend. Jeg sætter pris på alle input. "Houston vi har et problem!".

  6. 21

    Bare en note: Technorati har lanceret en Myndighed Plugin.

    Også - for alle dem, der har problemer med dette plugin, vil jeg virkelig opfordre dig til at flytte til en ny vært :). Jeg har en 12 måneders gratis special med min vært i bunden af ​​min Om os .

  7. 22
  8. 23

    Jeg har modtaget en hel del anmodninger om, at der har været fejl ved skrivning eller læsning fra cache-filen. Jeg identificerede faktisk et problem, hvor jeg skubbede og trak cache-filen til rodmappen. Jeg har ændret version 2.0.4, så den skriver til en cache-underkatalog i plugin-biblioteket.

    Lad mig vide, hvordan det kører! (Har stadig brug for SimpleXML og cURL!)

Hvad mener du?

Dette websted bruger Akismet til at reducere spam. Lær, hvordan dine kommentardata behandles.